Page MenuHomePhabricator

Close out A/B test for impact of section collapsing
Closed, ResolvedPublic2 Story Points

Description

We ran an A/B test to see how leaving sections open by default impacted reader behaviour (See T120292).

  • We should remove the following snippet of code now we are no longer collecting this data.
		// A/B test to measure the impact of section collapsing
		if ( self.schema && self.schema.isUserInBucket() && self.schema.defaults.isTestA ) {
			// Bucketed users who are in stable and using a small screen device
			// will see expanded sections by default
			// @see T120292
			if ( context.getMode() === 'stable' && !browser.isWideScreen() ) {
				expandSections = true;
			}
		}

In addition to this we should:

Details

Related Gerrit Patches:
operations/mediawiki-config : masterRemove section collapsing config
mediawiki/extensions/MobileFrontend : masterClose out A/B test for impact of section collapsing

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 20 2016, 8:34 PM
Jdlrobson updated the task description. (Show Details)Jan 20 2016, 8:40 PM
Jdlrobson set Security to None.
Jdlrobson updated the task description. (Show Details)Jan 27 2016, 8:05 PM
Jdlrobson edited a custom field.Feb 1 2016, 5:43 PM
bmansurov claimed this task.Feb 1 2016, 7:37 PM
bmansurov moved this task from To Do to Doing on the Reading-Web-Sprint-65-Game of Phones board.

Change 267729 had a related patch set uploaded (by Bmansurov):
Close out A/B test for impact of section collapsing

https://gerrit.wikimedia.org/r/267729

Change 267776 had a related patch set uploaded (by Bmansurov):
Remove section collapsing config

https://gerrit.wikimedia.org/r/267776

Jdlrobson updated the task description. (Show Details)Feb 1 2016, 9:31 PM

Change 267729 merged by jenkins-bot:
Close out A/B test for impact of section collapsing

https://gerrit.wikimedia.org/r/267729

Jdlrobson updated the task description. (Show Details)Feb 2 2016, 12:25 AM
phuedx added a subscriber: phuedx.

Moving this back to To Do as the code review has been done but there's one remaining AC.

phuedx removed bmansurov as the assignee of this task.Feb 2 2016, 9:26 AM
phuedx updated the task description. (Show Details)Feb 2 2016, 9:30 AM

I've confirmed that there's no mention of [wg]MFSchemaMobileWebSectionUsageSampleRate in the mediawiki-config repository.

phuedx claimed this task.Feb 2 2016, 1:08 PM
bmansurov updated the task description. (Show Details)Feb 2 2016, 1:32 PM
phuedx added a comment.Feb 2 2016, 2:08 PM

Per T125506#1989711, today's SWATs are cancelled.

Change 267776 merged by jenkins-bot:
Remove section collapsing config

https://gerrit.wikimedia.org/r/267776

phuedx added a subscriber: thcipriani.EditedFeb 3 2016, 4:42 PM

267776 was deployed by @thcipriani at 16:32:11 GMT during the morning SWAT window. I've seen no errors or warnings that I think are associated with the change. I do still see the wgMFSchemaMobileWebSectionUsageSampleRate config variable (i.e. mw.config.get( 'mw.config.values.wgMFSchemaMobileWebSectionUsageSampleRate' ), however I believe this will disappear once -wmf.11 -wmf.12 is deployed.

phuedx updated the task description. (Show Details)Feb 3 2016, 4:54 PM
phuedx removed phuedx as the assignee of this task.Feb 3 2016, 4:58 PM
phuedx added a comment.Feb 3 2016, 8:51 PM

-wmf.12 has been deployed to the group 0 wikis. mw.config.get( 'mw.config.values.wgMFSchemaMobileWebSectionUsageSampleRate' ) returns undefined on testwiki.

phuedx closed this task as Resolved.Feb 3 2016, 8:51 PM
phuedx claimed this task.